# Hamsters.js

**Author**: Austin K. Smith

**Website**: [Hamsters.io](http://www.hamsters.io)

**Description**: 100% Vanilla Javascript Multithreading & Parallel Execution Library

**License**: Artistic License 2.0

[![Backers on Open Collective](https://opencollective.com/hamstersjs/backers/badge.svg)](#backers) [![Sponsors on Open Collective](https://opencollective.com/hamstersjs/sponsors/badge.svg)](#sponsors)

# Environment Support

* All major browsers IE9+
* Inside of existing web workers (threads inside threads)
* Javascript shell environments
* React Native
* Node.js

# Examples

You can find a view examples of the library in action using the links below.

[Collatz Conjecture](https://www.hamsters.io/examples/collatzconjecture)

[Square Root](https://www.hamsters.io/examples/square-root)


# Installing Hamsters

[HTML](https://www.hamsters.io/wiki/html)

[ReactNative](https://www.hamsters.io/wiki/react-native)

[Node.js](https://www.hamsters.io/wiki/node)


# Using Hamsters

[Initializing](https://www.hamsters.io/wiki/initializing)

[The Basics](https://www.hamsters.io/wiki/basics)

[Restructoring Standard Functions](https://www.hamsters.io/wiki/restructuring)

[Promises](https://www.hamsters.io/wiki/promises)

[Sorting](https://www.hamsters.io/wiki/sorting)

[Persistence](https://www.hamsters.io/wiki/persistence)

[Transferable  Objects](https://www.hamsters.io/wiki/transferables)

[Debugging](https://www.hamsters.io/wiki/debugging)

[Limitations](https://www.hamsters.io/wiki/limitations)


# Support Hamsters.js

Any support you can provide means a world of difference for projects like Hamsters.js, creating high quality software can be a time consuming and expensive process, especially a project as ambitious as this one.

Please support continued efforts to provide updates like optimizing for the latest and greatest features and computer hardware. Multiple donation types are accepted including OpenCollective, PayPal, and various crypto currencies on the [Hamsters.js donation page](https://www.hamsters.io/donate)

## Backers

Thank you to all our backers! 🙏 [Back Hamsters.js](https://opencollective.com/hamstersjs#backer)

<a href="https://opencollective.com/hamstersjs#backers" target="_blank"><img src="https://opencollective.com/hamstersjs/backers.svg?width=890"></a>


## Sponsors

Support this project by becoming a sponsor. Your logo will show up here with a link to your website. [Sponsor Hamsters.js](https://opencollective.com/hamstersjs#sponsor)

<a href="https://opencollective.com/hamstersjs/sponsor/0/website" target="_blank"><img src="https://opencollective.com/hamstersjs/sponsor/0/avatar.svg"></a>
<a href="https://opencollective.com/hamstersjs/sponsor/1/website" target="_blank"><img src="https://opencollective.com/hamstersjs/sponsor/1/avatar.svg"></a>
<a href="https://opencollective.com/hamstersjs/sponsor/2/website" target="_blank"><img src="https://opencollective.com/hamstersjs/sponsor/2/avatar.svg"></a>
<a href="https://opencollective.com/hamstersjs/sponsor/3/website" target="_blank"><img src="https://opencollective.com/hamstersjs/sponsor/3/avatar.svg"></a>
<a href="https://opencollective.com/hamstersjs/sponsor/4/website" target="_blank"><img src="https://opencollective.com/hamstersjs/sponsor/4/avatar.svg"></a>
<a href="https://opencollective.com/hamstersjs/sponsor/5/website" target="_blank"><img src="https://opencollective.com/hamstersjs/sponsor/5/avatar.svg"></a>
<a href="https://opencollective.com/hamstersjs/sponsor/6/website" target="_blank"><img src="https://opencollective.com/hamstersjs/sponsor/6/avatar.svg"></a>
<a href="https://opencollective.com/hamstersjs/sponsor/7/website" target="_blank"><img src="https://opencollective.com/hamstersjs/sponsor/7/avatar.svg"></a>
<a href="https://opencollective.com/hamstersjs/sponsor/8/website" target="_blank"><img src="https://opencollective.com/hamstersjs/sponsor/8/avatar.svg"></a>
<a href="https://opencollective.com/hamstersjs/sponsor/9/website" target="_blank"><img src="https://opencollective.com/hamstersjs/sponsor/9/avatar.svg"></a>